Subject: Re: [RTG-DIR] RtgDir Early review: draft-ietf-ospf-segment-routing-msd.txt

From: Jeff Tantsura <[email-masked]>
Date: Mon, 07 May 2018 16:21:22 -0700

Hi Tal,

New version (11) should address all your comments.

Many thanks and please let me know, if there’s anything else.

Cheers,

Jeff

From: Tal Mizrahi <[email-masked]>
Date: Sunday, April 29, 2018 at 04:08
To: <[email-masked]>, <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Subject: Re: RtgDir Early review: draft-ietf-ospf-segment-routing-msd.txt
Resent-From: <[email-masked]>
Resent-To: Jeff Tantsura <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Sun, 29 Apr 2018 04:08:12 -0700 (PDT)

+ LSR mailing list.

Cheers,

Tal.

On Sun, Apr 29, 2018 at 2:04 PM, Tal Mizrahi <[email-masked]> wrote:

Hello

I have been selected to do a routing directorate “early” review of this draft. 
​https://datatracker.ietf.org/doc/draft-ietf-ospf-segment-routing-msd/

The routing directorate will, on request from the working group chair, perform an “early” review of a draft before it is submitted for publication to the IESG. The early review can be performed at any time during the draft’s lifetime as a working group document. 

For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Document: draft-ietf-ospf-segment-routing-msd.txt 
Reviewer: Tal Mizrahi
Review Date: April 2018 
Intended Status: Standards Track

Summary: 
This document is basically ready for publication, but has a couple of issues and a few nits that should be considered prior to being submitted to the IESG.

Comments:
The Security Considerations should be more detailed. The reference to RFC 7770 is a good start, but please add more details about potential attacks. For example, what happens if there is a spoofed MSD with a low MSD value? What is the impact of such an attack?
Section 3:
The description of the Length field says “minimum of 2”, implying it can be higher than 2.
On the other hand, the Value field: “consists of a 1 octet sub-type (IANA Registry) and 1 octet value.”, which implies that the Length is equal to 2.
Please align the two descriptions, i.e., if flexibility for future sub-types is required, please change the description of Value to allow longer values.
The comment applies to Section 4 as well.
Nits:
The term “minimum MSD”, which translates to “minimum maximum SID Depth” should be explained.
The term “maximum MSD” appears twice in the document, which seems either redundant, or a typo (did you mean minimum MSD?).
The acronym SID should be spelled out on its first use.
The acronyms RI and LSA should be added to the Terminology subsection.
Section 1.1.1 and Section 2 are both titled “Terminology”. It would be best to merge Section 1.1 into Section 2, and avoid the duplicate title.
“each node/link a given SR path” -> “each node/link of a given SR path”
“nodes and links which has been configured” -> “nodes and links that have been configured”
“laso”->”also”
“Other Sub-types other than defined” -> “Sub-types other than defined”

Cheers,

Tal Mizrahi.

---

From: Tal Mizrahi <[email-masked]>
Date: Tue, 8 May 2018 12:40:54 +0300

Hi Jeff,

The new version resolves the comments I had. Thanks for the effort.

Cheers,
Tal.

On Tue, May 8, 2018 at 2:21 AM, Jeff Tantsura <[email-masked]>
wrote:

> *From: *Tal Mizrahi <[email-masked]>
> *Date: *Sunday, April 29, 2018 at 04:08
> *To: *<[email-masked]>, <
> [email-masked]>, <[email-masked]>
> *Cc: *<[email-masked]>, <[email-masked]>
> *Subject: *Re: RtgDir Early review: draft-ietf-ospf-segment-
> routing-msd.txt
> *Resent-From: *<[email-masked]>
> *Resent-To: *Jeff Tantsura <[email-masked]>, <
> [email-masked]>, <[email-masked]>, <[email-masked]>
> *Resent-Date: *Sun, 29 Apr 2018 04:08:12 -0700 (PDT)
>
>
>
> + LSR mailing list.
>
>
>
> Cheers,
>
> Tal.
>
>
>
> The routing directorate will, on request from the working group chair,
> perform an “early” review of a draft before it is submitted for publication
> to the IESG. The early review can be performed at any time during the
> draft’s lifetime as a working group document.
>
> For more information about the Routing Directorate, please see ​
> http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
> *Summary:*
> This document is basically ready for publication, but has a couple of
> issues and a few nits that should be considered prior to being submitted to
> the IESG.
>
> *Comments:*
>
>    - The Security Considerations should be more detailed. The reference
>    to RFC 7770 is a good start, but please add more details about potential
>    attacks. For example, what happens if there is a spoofed MSD with a low MSD
>    value? What is the impact of such an attack?
>    - Section 3:
>
>
>    - The description of the Length field says “minimum of 2”, implying it
>       can be higher than 2.
>       On the other hand, the Value field: “consists of a 1 octet sub-type
>       (IANA Registry) and 1 octet value.”, which implies that the Length is equal
>       to 2.
>       Please align the two descriptions, i.e., if flexibility for future
>       sub-types is required, please change the description of Value to allow
>       longer values.
>       - The comment applies to Section 4 as well.
>
> *Nits:*
>
>    - The term “minimum MSD”, which translates to “minimum maximum SID
>    Depth” should be explained.
>    - The term “maximum MSD” appears twice in the document, which seems
>    either redundant, or a typo (did you mean minimum MSD?).
>    - The acronym SID should be spelled out on its first use.
>    - The acronyms RI and LSA should be added to the Terminology
>    subsection.
>    - Section 1.1.1 and Section 2 are both titled “Terminology”. It would
>    be best to merge Section 1.1 into Section 2, and avoid the duplicate title.
>    - “each node/link a given SR path” -> “each node/link of a given SR
>    path”
>    - “nodes and links which has been configured” -> “nodes and links that
>    have been configured”
>    - “laso”->”also”
>    - “Other Sub-types other than defined” -> “Sub-types other than
>    defined”
>
>
>
>
>
> Cheers,
>
> Tal Mizrahi.
>
>
>